Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.dynamics
Class Event

    java.lang.Object
      com.beanexplorer.beans.Option
          biouml.model.dynamics.EModelRoleSupport
              biouml.model.dynamics.Event

All Implemented Interfaces:
  EModelRole, ExpressionOwner, Role

public class Event
extends EModelRoleSupport
implements ExpressionOwner

Field Summary
`protected java.lang.String` | `delay` Delay property defines the length of time after the event has fired that the event is executed.
`protected Assignment[]` | `eventAssignment`
`protected java.lang.String` | `timeUnits` Determines the units of time that apply to the delay.
`protected java.lang.String` | `trigger` Trigger property.

Fields inherited from class biouml.model.dynamics.EModelRoleSupport
`comment`

Fields inherited from class com.beanexplorer.beans.Option
`notificationEnabled, propagationEnabled`

Constructor Summary
`Event(DiagramElement de, java.lang.String name)`
`Event(DiagramElement de, java.lang.String trigger, java.lang.String delay, Assignment[] actions)`

Method Summary
`void` | `addEventAssignment(Assignment ea, boolean fireEvent)`
`java.lang.String` | `getDelay()`
`Assignment[]` | `getEventAssignment()`
`Assignment` | `getEventAssignment(int i)`
`java.lang.String[]` | `getExpressions()` Returns all owned mathematical expressions.
`EModelRole` | `getRole()` Return role object essential to variables name resolving.
`java.lang.String` | `getTimeUnits()`
`java.lang.String` | `getTrigger()`
`boolean` | `isExpression(java.lang.String propertyName)` Returns true if property contains string that should be parsed as mathematical expression.
`void` | `setDelay(java.lang.String delay)`
`void` | `setEventAssignment(Assignment[] eventAssignment)`
`void` | `setEventAssignment(int i, Assignment eventAssignment)`
`void` | `setTimeUnits(java.lang.String units)`
`void` | `setTrigger(java.lang.String trigger)`
`java.lang.String` | `toString()`

Methods inherited from class biouml.model.dynamics.EModelRoleSupport
`clone, getComment, getDiagramElement, setComment`

Methods inherited from class com.beanexplorer.beans.Option
`addPropertyChangeListener, copyListenersTo, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getParent, isNotificationEnabled, isPropagationEnabled, removePropertyChangeListener, setNotificationEnabled, setParent, setPropagationEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### trigger

    protected java.lang.String trigger

  Trigger property. Event is firing when trigger makes the transition from false to true. The event will fire at any further time points when the trigger make this transition.

### delay

    protected java.lang.String delay

  Delay property defines the length of time after the event has fired that the event is executed. This String should be evaluated when the rule is fired. The value of the delay String should always be positive. This is optional property, its default value is 0.

### timeUnits

    protected java.lang.String timeUnits

  Determines the units of time that apply to the delay. If not set, the units are taken from the defaults defined by the built-in "time".

### eventAssignment

    protected Assignment[] eventAssignment

Constructor Detail

### Event

    public Event(DiagramElement de,
                 java.lang.String name)

### Event

    public Event(DiagramElement de,
                 java.lang.String trigger,
                 java.lang.String delay,
                 Assignment[] actions)

Method Detail

### getTrigger

    public java.lang.String getTrigger()

### setTrigger

    public void setTrigger(java.lang.String trigger)

### getDelay

    public java.lang.String getDelay()

### setDelay

    public void setDelay(java.lang.String delay)

### getTimeUnits

    public java.lang.String getTimeUnits()

### setTimeUnits

    public void setTimeUnits(java.lang.String units)

### getEventAssignment

    public Assignment[] getEventAssignment()

### getEventAssignment

    public Assignment getEventAssignment(int i)

### setEventAssignment

    public void setEventAssignment(Assignment[] eventAssignment)

### setEventAssignment

    public void setEventAssignment(int i,
                                   Assignment eventAssignment)

### addEventAssignment

    public void addEventAssignment(Assignment ea,
                                   boolean fireEvent)

### toString

    public java.lang.String toString()

### isExpression

    public boolean isExpression(java.lang.String propertyName)

  Description copied from interface: `ExpressionOwner`
  Returns true if property contains string that should be parsed as mathematical expression.

  Specified by:
    `isExpression` in interface `ExpressionOwner`

### getExpressions

    public java.lang.String[] getExpressions()

  Description copied from interface: `ExpressionOwner`
  Returns all owned mathematical expressions. Currently this methods is used to remove unused parameters.

  Specified by:
    `getExpressions` in interface `ExpressionOwner`

### getRole

    public EModelRole getRole()

  Description copied from interface: `ExpressionOwner`
  Return role object essential to variables name resolving.

  Specified by:
    `getRole` in interface `ExpressionOwner`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.